Subject: RE: permission denied for NTFS network shares
From: "Chris January" <[email-masked]>
To: "Genady Veytsman" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Sun, 22 Dec 2002 10:35:07 -0000

> I have some problem using rsh under cygwin.
> It works fine for local disks and local disks of remote computers
> (both UNIX and NT/2000).
>
> But if I am trying to access NTFS network share (that is on file
> server), I receive "permission denied".
>
> Here is an example:
>
>  From unix machine:
> ==================================================================
> ==========
>  > rsh genadyv ------- (genadyv is Window2000 machine with cygwin)
> Fanfare!!!
> You are successfully logged in to this server!!!
>
> genadyv@GENADYV ~
> $ ls -d //mystisun8/vol1/tmp             --------- unix machine
> //mystisun8/vol1/tmp
>
> genadyv@GENADYV ~
> $ ls -d /cygdrive/c/                   -------- local disk C
> /cygdrive/c
>
> genadyv@GENADYV ~
> $ ls -d /cygdrive/m/                 ----- network share on file server
> ls: /cygdrive/m: Permission denied
>
> genadyv@GENADYV ~
> $ ls /cygdrive
> c  d  g  m  p  x  y
>
> ==================================================================
> ==============
>
> I have no problem accessing /cygdrive/m/ from bash prompt in cygwin
> (locally).
> /cygdrive/m is a mount to //mystifile/mixsig$
>
> Any help is appreciated
Have you ever heard anyone say NFS is insecure? One of the reasons for this
is that lots of systems are setup so that if I am root on my local machine,
the NFS server assumes I can access root's files on the remote machine...
Windows NT domains, however, are supposed not to suffer from the same
problem. This is because, in order to access a share, you must be
authenticated by the domain server. The only way to authenticate with the
domain server is to log on with your username and password. Simply rsh'ing
to a machine isn't enough, the domain controller will not trust you. Hence
you will not have access to any network shares as it won't believe who you
say you are.

Chris

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/